/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitem.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workitem.entity.WorkItem;

import java.util.List;

/**
 * 物品一览表DAO接口
 * @author chenyuping
 * @version 2018-07-13
 */
@MyBatisDao
public interface WorkItemDao extends CrudDao<WorkItem> {
public List<WorkItem> findItemList(WorkItem workItem);
//报废管理选物品
public List<WorkItem> findScrapList(WorkItem workItem);

public List<WorkItem> findListBybranch(WorkItem workItem);
public List<WorkItem> findListByCompanyId(WorkItem workItem);

public WorkItem getFindItem(String id);
}